LibreOffice: BindableDatabaseTextField Service Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Included Services | List of all members
BindableDatabaseTextField Service Reference

This service specifies a text input field which is data-aware and thus can be bound to a database field, and additionally supports binding to arbitrary external values. More...

`import"BindableDatabaseTextField.idl";`

Inheritance diagram for BindableDatabaseTextField:

## Included Services
service | com::sun::star::form::component::DatabaseTextField
service | com::sun::star::form::binding::BindableDataAwareControlModel
| specifies the interaction between an internal binding to a database column, and an external value binding. More...
Included Services inherited from DatabaseTextField
service | com::sun::star::form::component::TextField
service | com::sun::star::form::DataAwareControlModel
Included Services inherited from TextField
service | com::sun::star::awt::UnoControlEditModel
service | com::sun::star::form::FormControlModel
service | RichTextControl
| specifies optional capabilities for displaying and inputting formatted text. More...
Included Services inherited from UnoControlEditModel
service | com::sun::star::awt::UnoControlModel
Included Services inherited from UnoControlModel
service | com::sun::star::awt::UnoControlDialogElement
| This service is present when the control model is embedded in an UnoControlDialogModel. More...
Included Services inherited from FormControlModel
service | com::sun::star::awt::UnoControlModel
service | com::sun::star::form::FormComponent
Included Services inherited from RichTextControl
service | com::sun::star::awt::UnoControlEditModel
service | com::sun::star::form::FormControlModel
service | com::sun::star::text::TextRange
| specifies capabilities to provide rich text, as opposed to the simple text provided by the com::sun::star::awt::UnoControlEditModel More...
Included Services inherited from TextRange
service | com::sun::star::style::CharacterProperties
service | com::sun::star::style::CharacterPropertiesAsian
service | com::sun::star::style::CharacterPropertiesComplex
service | com::sun::star::style::ParagraphProperties
service | com::sun::star::style::ParagraphPropertiesAsian
service | com::sun::star::style::ParagraphPropertiesComplex
Included Services inherited from DataAwareControlModel
service | com::sun::star::form::FormControlModel
Included Services inherited from BindableDataAwareControlModel
service | com::sun::star::form::DataAwareControlModel
| specifies the functionality for binding the control model to a column of an SQL com::sun::star::form::component::DataForm. More...
service | BindableControlModel
| specifies the functionality for alternatively binding the control model to an external value. More...
Included Services inherited from BindableControlModel
service | com::sun::star::form::FormControlModel
| specifies the basic functionality for a form control model More...

## Additional Inherited Members
Exported Interfaces inherited from TextField
interface | com::sun::star::form::XReset
| can be used to reset the control to it's default text. More...
Exported Interfaces inherited from UnoControlModel
interface | com::sun::star::awt::XControlModel
interface | com::sun::star::lang::XComponent
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::io::XPersistObject
interface | com::sun::star::util::XCloneable
Exported Interfaces inherited from FormControlModel
interface | com::sun::star::beans::XFastPropertySet
| This optional interface gives an efficient access to all properties at once or an ability to set more than one property at once. More...
interface | com::sun::star::beans::XPropertyState
| This optional interface gives access to the state of the properties, e.g. More...
Exported Interfaces inherited from FormComponent
interface | com::sun::star::form::XFormComponent
| identifies the component as a candidate for being part of a form. More...
interface | com::sun::star::lang::XComponent
| allows life-time control of form components. More...
interface | com::sun::star::container::XNamed
| Each FormComponent must supply a name for identification. More...
interface | com::sun::star::beans::XPropertySet
| gives access to the properties. More...
interface | com::sun::star::io::XPersistObject
| Each FormComponent must be able to be stored into and read from a stream. More...
interface | com::sun::star::beans::XPropertyBag
| allows to associate arbitrary properties with the form component More...
Exported Interfaces inherited from XPropertyBag
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XPropertyContainer
interface | com::sun::star::beans::XPropertyAccess
Exported Interfaces inherited from TextRange
interface | com::sun::star::text::XTextRange
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XPropertyState
interface | com::sun::star::container::XContentEnumerationAccess
Exported Interfaces inherited from DataAwareControlModel
interface | com::sun::star::form::XBoundComponent
| makes it possible to transfer the data of the model to the connected data field. More...
interface | com::sun::star::form::XLoadListener
| must be implemented in order to recognize when the containing form of the model connects to its data source (loads its data). More...
interface | com::sun::star::form::XReset
| Each DataAwareControlModel should be resettable for setting default values. More...
Exported Interfaces inherited from BindableControlModel
interface | XBindableValue
| specifies support for being bound to an external value More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names. More...
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names. More...
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list. More...
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener. More...
Public Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object More...
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream. More...
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream. More...
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Public Member Functions inherited from XReset
void | reset ()
| resets a component to some default value. More...
void | addResetListener ([in] com::sun::star::form::XResetListener aListener)
| adds the specified listener to receive events related to resetting the component. More...
void | removeResetListener ([in] com::sun::star::form::XResetListener aListener)
| removes the specified listener More...
Public Member Functions inherited from XLoadListener
void | loaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object has successfully connected to a datasource. More...
void | unloading ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object is about to be unloaded. More...
void | unloaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked after the object has disconnected from a datasource. More...
void | reloading ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object is about to be reloaded. More...
void | reloaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object has been reloaded. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XBindableValue
void | setValueBinding ([in] XValueBinding aBinding) raises ( IncompatibleTypesException )
| sets an external instance which controls the value of the component More...
XValueBinding | getValueBinding ()
| retrieves the external instance which currently controls the value of the component More...
Public Attributes inherited from DatabaseTextField
boolean | ConvertEmptyToNull
| determines if an empty text should be treated as a `NULL` value. More...
Public Attributes inherited from TextField
string | DefaultText
| contains a default value for the control. More...
Public Attributes inherited from UnoControlEditModel
short | Align
| specifies the horizontal alignment of the text in the control. More...
boolean | AutoHScroll
| If set to true an horizontal scrollbar will be added automatically when needed. More...
boolean | AutoVScroll
| If set to true an vertical scrollbar will be added automatically when needed. More...
com::sun::star::util::Color | BackgroundColor
| specifies the background color (RGB) of the control. More...
short | Border
| specifies the border style of the control. More...
long | BorderColor
| specifies the color of the border, if present More...
short | EchoChar
| specifies the echo character for a password edit field. More...
boolean | Enabled
| determines whether the control is enabled or disabled. More...
com::sun::star::awt::FontDescriptor | FontDescriptor
| specifies the font attributes of the text in the control. More...
short | FontEmphasisMark
| specifies the com::sun::star::text::FontEmphasis value of the text in the control. More...
short | FontRelief
| specifies the com::sun::star::text::FontRelief value of the text in the control. More...
boolean | HardLineBreaks
| specifies if hard line breaks will be returned in the XTextComponent::getText() method. More...
string | HelpText
| specifies the help text of the control. More...
string | HelpURL
| specifies the help URL of the control. More...
boolean | HideInactiveSelection
| specifies whether the selection in the control should be hidden when the control is not active (focused). More...
boolean | HScroll
| specifies if the content of the control can be scrolled in the horizontal direction. More...
short | LineEndFormat
| specifies which line end type should be used for multi line text More...
short | MaxTextLen
| specifies the maximum character count. More...
boolean | MultiLine
| specifies that the control may have more than one line. More...
boolean | PaintTransparent
| specifies whether the control paints it background or not. More...
boolean | Printable
| specifies that the control will be printed with the document. More...
boolean | ReadOnly
| specifies that the content of the control cannot be modified by the user. More...
boolean | Tabstop
| specifies that the control can be reached with the TAB key. More...
string | Text
| specifies the text displayed in the control. More...
com::sun::star::util::Color | TextColor
| specifies the text color (RGB) of the control. More...
com::sun::star::util::Color | TextLineColor
| specifies the text line color (RGB) of the control. More...
boolean | VScroll
| specifies if the content of the control can be scrolled in the vertical direction. More...
short | WritingMode
| denotes the writing mode used in the control, as specified in the com::sun::star::text::WritingMode2 constants group. More...
com::sun::star::style::VerticalAlignment | VerticalAlign
| specifies the vertical alignment of the text in the control. More...
Public Attributes inherited from UnoControlModel
string | DefaultControl
| specifies the service name of the default control for this model. More...
Public Attributes inherited from FormControlModel
short | ClassId
| specifies the ID for classification of the component. More...
short | TabIndex
| determines the relative taborder of the control associated with the model. More...
string | Tag
| used for additional information. More...
Public Attributes inherited from FormComponent
string | Name
| the name of the component. More...
Public Attributes inherited from DataAwareControlModel
string | DataField
| specifies the name of the bound database field. More...
boolean | InputRequired
| determines whether or not input into this field is required, when it is actually bound to a database field. More...
com::sun::star::beans::XPropertySet | BoundField
| references to the cursor field to which the control is bound. More...
com::sun::star::beans::XPropertySet | LabelControl
| references to a control model within the same document which should be used as a label. More...
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names. More...
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names. More...
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list. More...
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener. More...
Protected Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object More...
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream. More...
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream. More...
Protected Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...
Protected Member Functions inherited from XPropertyContainer
void | addProperty ([in] string Name, [in] short Attributes, [in] any DefaultValue) raises ( com::sun::star::beans::PropertyExistException, com::sun::star::beans::IllegalTypeException, com::sun::star::lang::IllegalArgumentException )
| adds a property to the object. More...
void | removeProperty ([in] string Name) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::NotRemoveableException )
| removes a property from the object. More...
Protected Member Functions inherited from XPropertyAccess
sequence< com::sun::star::beans::PropertyValue > | getPropertyValues ()
void | setPropertyValues ([in] sequence< com::sun::star::beans::PropertyValue > aProps) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values of given properties. More...
Protected Member Functions inherited from XFastPropertySet
void | setFastPropertyValue ([in] long nHandle, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value to the property with the specified name. More...
any | getFastPropertyValue ([in] long nHandle) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XPropertyState
com::sun::star::beans::PropertyState | getPropertyState ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setPropertyToDefault ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| Sets the property to default value. More...
any | getPropertyDefault ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XTextRange
XText | getText ()
XTextRange | getStart ()
XTextRange | getEnd ()
string | getString ()
void | setString ([in] string aString)
| the whole string of characters of this piece of text is replaced. More...
Protected Member Functions inherited from XContentEnumerationAccess
com::sun::star::container::XEnumeration | createContentEnumeration ([in] string aServiceName)
sequence< string > | getAvailableServiceNames ()
Protected Member Functions inherited from XReset
void | reset ()
| resets a component to some default value. More...
void | addResetListener ([in] com::sun::star::form::XResetListener aListener)
| adds the specified listener to receive events related to resetting the component. More...
void | removeResetListener ([in] com::sun::star::form::XResetListener aListener)
| removes the specified listener More...
Protected Member Functions inherited from XBoundComponent
boolean | commit ()
| commits the content of the component into the data source it is bound to. More...
Protected Member Functions inherited from XUpdateBroadcaster
void | addUpdateListener ([in] com::sun::star::form::XUpdateListener aListener)
| adds the specified listener to receive the events "approveUpdate" and "updated". More...
void | removeUpdateListener ([in] com::sun::star::form::XUpdateListener aListener)
| removes the specified listener. More...
Protected Member Functions inherited from XLoadListener
void | loaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object has successfully connected to a datasource. More...
void | unloading ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object is about to be unloaded. More...
void | unloaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked after the object has disconnected from a datasource. More...
void | reloading ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object is about to be reloaded. More...
void | reloaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object has been reloaded. More...
Protected Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Protected Attributes inherited from UnoControlDialogElement
long | Height
| specifies the height of the control. More...
string | Name
| specifies the name of the control. More...
string | PositionX
| specifies the horizontal position of the control. More...
string | PositionY
| specifies the vertical position of the control. More...
long | Step
| specifies the step of the control. More...
short | TabIndex
| specifies the tabindex of the control. More...
string | Tag
| specifies the tag of the control. More...
long | Width
| specifies the width of the control. More...
Protected Attributes inherited from RichTextControl
boolean | HardLineBreaks
| specifies whether text should be automatically wrapped to fit into the control. More...
boolean | RichText
| specifies whether the control should display the text including all its formatting. More...
Protected Attributes inherited from CharacterProperties
string | CharFontName
| This property specifies the name of the font style. More...
string | CharFontStyleName
| This property contains the name of the font style. More...
short | CharFontFamily
| This property contains font family. More...
short | CharFontCharSet
| This property contains the text encoding of the font. More...
short | CharFontPitch
| This property contains the font pitch. More...
com::sun::star::util::Color | CharColor
| This property contains the value of the text color. More...
short | CharEscapement
| specifies the percentage by which to raise/lower superscript/subscript characters. More...
float | CharHeight
| This value contains the height of the characters in point. More...
short | CharUnderline
| This property contains the value for the character underline. More...
float | CharWeight
| This property contains the value of the font weight. More...
com::sun::star::awt::FontSlant | CharPosture
| This property contains the value of the posture of the document. More...
boolean | CharAutoKerning
| This optional property determines whether the kerning tables from the current font are used. More...
com::sun::star::util::Color | CharBackColor
| This optional property contains the text background color. More...
long | CharShadingValue
| This optional property contains the text shading value. More...
boolean | CharBackTransparent
| This property determines if the text background color is set to transparent. More...
short | CharCaseMap
| This optional property contains the value of the case-mapping of the text for formatting and displaying. More...
boolean | CharCrossedOut
| This property is `TRUE` if the characters are crossed out. More...
boolean | CharFlash
| If this optional property is `TRUE`, then the characters are flashing. More...
short | CharStrikeout
| This property determines the type of the strike out of the character. More...
boolean | CharWordMode
| If this property is `TRUE`, the underline and strike-through properties are not applied to white spaces. More...
short | CharKerning
| This optional property contains the value of the kerning of the characters. More...
com::sun::star::lang::Locale | CharLocale
| This property contains the value of the locale. More...
boolean | CharKeepTogether
| This optional property marks a range of characters to prevent it from being broken into two lines. More...
boolean | CharNoLineBreak
| This optional property marks a range of characters to ignore a line break in this area. More...
boolean | CharShadowed
| This optional property specifies if the characters are formatted and displayed with a shadow effect. More...
short | CharFontType
| This optional property specifies the fundamental technology of the font. More...
string | CharStyleName
| This optional property specifies the name of the style of the font. More...
boolean | CharContoured
| This optional property specifies if the characters are formatted and displayed with a contour effect. More...
boolean | CharCombineIsOn
| This optional property determines whether text is formatted in two lines. More...
string | CharCombinePrefix
| This optional property contains the prefix (usually parenthesis) before text that is formatted in two lines. More...
string | CharCombineSuffix
| This optional property contains the suffix (usually parenthesis) after text that is formatted in two lines. More...
short | CharEmphasis
| This optional property contains the font emphasis value. More...
short | CharRelief
| This optional property contains the relief style of the characters. More...
string | RubyText
| This optional property contains the text that is set as ruby. More...
short | RubyAdjust
| This optional property determines the adjustment of the ruby . More...
string | RubyCharStyleName
| This optional property contains the name of the character style that is applied to RubyText. More...
boolean | RubyIsAbove
| This optional property determines whether the ruby text is printed above/left or below/right of the text. More...
short | CharRotation
| This optional property determines the rotation of a character in tenths of a degree. More...
boolean | CharRotationIsFitToLine
| This optional property determines whether the text formatting tries to fit rotated text into the surrounded line height. More...
short | CharScaleWidth
| This optional property determines the percentage value for scaling the width of characters. More...
string | HyperLinkURL
| This optional property contains the URL of a hyperlink. More...
string | HyperLinkTarget
| This optional property contains the name of the target for a hyperlink. More...
string | HyperLinkName
| This optional property contains the name of the hyperlink. More...
string | VisitedCharStyleName
| This optional property contains the character style name for visited hyperlinks. More...
string | UnvisitedCharStyleName
| This optional property contains the character style name for unvisited hyperlinks. More...
byte | CharEscapementHeight
| This is the relative height used for subscript or superscript characters in units of percent. More...
boolean | CharNoHyphenation
| This optional property determines if the word can be hyphenated at the character. More...
com::sun::star::util::Color | CharUnderlineColor
| This property contains the color of the underline for the characters. More...
boolean | CharUnderlineHasColor
| This property specifies if the property CharUnderlineColor is used for an underline. More...
sequence< string > | CharStyleNames
| This optional property specifies the names of the all styles applied to the font. More...
boolean | CharHidden
| If this optional property is `TRUE`, then the characters are invisible. More...
com::sun::star::container::XNameContainer | TextUserDefinedAttributes
| This property stores XML attributes. More...
com::sun::star::table::BorderLine2 | CharLeftBorder
| This property contains the left border of the object. More...
com::sun::star::table::BorderLine2 | CharRightBorder
| This property contains the right border of the object. More...
com::sun::star::table::BorderLine2 | CharTopBorder
| This property contains the top border of the object. More...
com::sun::star::table::BorderLine2 | CharBottomBorder
| This property contains the bottom border of the object. More...
long | CharBorderDistance
| This property contains the distance from the border to the object. More...
long | CharLeftBorderDistance
| This property contains the distance from the left border to the object. More...
long | CharRightBorderDistance
| This property contains the distance from the right border to the object. More...
long | CharTopBorderDistance
| This property contains the distance from the top border to the object. More...
long | CharBottomBorderDistance
| This property contains the distance from the bottom border to the object. More...
com::sun::star::table::ShadowFormat | CharShadowFormat
| Determines the type, color, and width of the shadow. More...
com::sun::star::util::Color | CharHighlight
| Determines the color of the highlight. More...
sequence< com::sun::star::beans::PropertyValue > | CharInteropGrabBag
| Grab bag of character properties, used as a string-any map for interim interop purposes. More...
Protected Attributes inherited from CharacterPropertiesAsian
float | CharHeightAsian
| This value contains the height of the characters in point. More...
float | CharWeightAsian
| This property contains the value of the font weight. More...
string | CharFontNameAsian
| This property specifies the name of the font style. More...
string | CharFontStyleNameAsian
| This property contains the name of the font style. More...
short | CharFontFamilyAsian
| This property contains font family as specified in com.sun.star.awt.FontFamily . More...
short | CharFontCharSetAsian
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet. More...
short | CharFontPitchAsian
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch. More...
com::sun::star::awt::FontSlant | CharPostureAsian
| This property contains the value of the posture of the document. More...
com::sun::star::lang::Locale | CharLocaleAsian
| contains the value of the locale. More...
Protected Attributes inherited from CharacterPropertiesComplex
float | CharHeightComplex
| This value contains the height of the characters in point. More...
float | CharWeightComplex
| This property contains the value of the font weight. More...
string | CharFontNameComplex
| This property specifies the name of the font style. More...
string | CharFontStyleNameComplex
| This property contains the name of the font style. More...
short | CharFontFamilyComplex
| This property contains font family as specified in com.sun.star.awt.FontFamily . More...
short | CharFontCharSetComplex
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet. More...
short | CharFontPitchComplex
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch. More...
com::sun::star::awt::FontSlant | CharPostureComplex
| This property contains the value of the posture of the document. More...
com::sun::star::lang::Locale | CharLocaleComplex
| contains the value of the locale. More...
Protected Attributes inherited from ParagraphProperties
com::sun::star::style::ParagraphAdjust | ParaAdjust
| determines the adjustment of a paragraph. More...
com::sun::star::style::LineSpacing | ParaLineSpacing
| contains the type of the line spacing of a paragraph. More...
com::sun::star::util::Color | ParaBackColor
| contains the paragraph background color. More...
boolean | ParaBackTransparent
| This value is `TRUE` if the paragraph background color is set to transparent. More...
string | ParaBackGraphicURL
| contains the value of a link for the background graphic of a paragraph. More...
string | ParaBackGraphicFilter
| contains the name of the graphic filter for the background graphic of a paragraph. More...
com::sun::star::style::GraphicLocation | ParaBackGraphicLocation
| contains the value for the position of a background graphic. More...
short | ParaLastLineAdjust
| determines the adjustment of the last line. More...
boolean | ParaExpandSingleWord
| determines if single words are stretched. More...
long | ParaLeftMargin
| determines the left margin of the paragraph in 100th mm. More...
long | ParaRightMargin
| determines the right margin of the paragraph in 100th mm. More...
long | ParaTopMargin
| determines the top margin of the paragraph in 100th mm. More...
long | ParaBottomMargin
| determines the bottom margin of the paragraph in 100th mm. More...
boolean | ParaContextMargin
| determines if contextual spacing is used. More...
sequence< com::sun::star::beans::PropertyValue > | ParaInteropGrabBag
| Grab bag of paragraph properties, used as a string-any map for interim interop purposes. More...
boolean | ParaLineNumberCount
| determines if the paragraph is included in the line numbering. More...
long | ParaLineNumberStartValue
| contains the start value for the line numbering. More...
string | PageDescName
| If this property is set, it creates a page break before the paragraph it belongs to and assigns the value as the name of the new page style sheet to use. More...
short | PageNumberOffset
| If a page break property is set at a paragraph, this property contains the new value for the page number. More...
boolean | ParaRegisterModeActive
| determines if the register mode is applied to a paragraph. More...
sequence< com::sun::star::style::TabStop > | ParaTabStops
| specifies the positions and kinds of the tab stops within this paragraph. More...
string | ParaStyleName
| contains the name of the current paragraph style. More...
string | PageStyleName
| contains the name of the current page style. More...
com::sun::star::style::DropCapFormat | DropCapFormat
| specifies whether the first characters of the paragraph are displayed in capital letters and how they are formatted. More...
boolean | DropCapWholeWord
| specifies if the property DropCapFormat is applied to the whole first word. More...
boolean | ParaKeepTogether
| Setting this property to `TRUE` prevents page or column breaks between this and the following paragraph. More...
boolean | ParaSplit
| Setting this property to `FALSE` prevents the paragraph from getting split into two pages or columns. More...
short | NumberingLevel
| specifies the numbering level of the paragraph. More...
com::sun::star::container::XIndexReplace | NumberingRules
| contains the numbering rules applied to this paragraph. More...
short | NumberingStartValue
| specifies the start value for numbering if a new numbering starts at this paragraph. More...
boolean | ParaIsNumberingRestart
| determines if the numbering rules restart, counting at the current paragraph. More...
string | NumberingStyleName
| specifies the name of the style for the numbering. More...
byte | ParaOrphans
| specifies the minimum number of lines of the paragraph that have to be at bottom of a page if the paragraph is spread over more than one page. More...
byte | ParaWidows
| specifies the minimum number of lines of the paragraph that have to be at top of a page if the paragraph is spread over more than one page. More...
com::sun::star::table::ShadowFormat | ParaShadowFormat
| determines the type, color, and size of the shadow. More...
com::sun::star::table::BorderLine | LeftBorder
| contains the left border of the object. More...
com::sun::star::table::BorderLine | RightBorder
| contains the right border of the object. More...
com::sun::star::table::BorderLine | TopBorder
| contains the top border of the object. More...
com::sun::star::table::BorderLine | BottomBorder
| contains the bottom border of the object. More...
long | BorderDistance
| contains the distance from the border to the object. More...
long | LeftBorderDistance
| contains the distance from the left border to the object. More...
long | RightBorderDistance
| contains the distance from the right border to the object. More...
long | TopBorderDistance
| contains the distance from the top border to the object. More...
long | BottomBorderDistance
| contains the distance from the bottom border to the object. More...
com::sun::star::style::BreakType | BreakType
| determines the type of break that is applied at the beginning of the table. More...
string | DropCapCharStyleName
| specifies the character style name for drop caps. More...
long | ParaFirstLineIndent
| specifies the indent for the first line. More...
boolean | ParaIsAutoFirstLineIndent
| determines if the first line should be indented automatically. More...
boolean | ParaIsHyphenation
| specifies if automatic hyphenation is applied. More...
short | ParaHyphenationMaxHyphens
| specifies the maximum number of consecutive hyphens. More...
short | ParaHyphenationMaxLeadingChars
| specifies the maximum number of characters to remain before the hyphen character (when hyphenation is applied). More...
short | ParaHyphenationMaxTrailingChars
| specifies the maximum number of characters to remain after the hyphen character (when hyphenation is applied). More...
short | ParaVertAlignment
| specifies the vertical alignment of a paragraph. More...
com::sun::star::container::XNameContainer | ParaUserDefinedAttributes
| this property stores xml attributes. More...
boolean | NumberingIsNumber
| returns `FALSE` if the paragraph is part of a numbering, but has no numbering label. More...
boolean | ParaIsConnectBorder
| the property determines if borders set at a paragraph are merged with the next paragraph. More...
string | ListId
| specifies the id of the list to which the paragraph belongs More...
short | OutlineLevel
| specifies the outline level to which the paragraph belongs More...
Protected Attributes inherited from ParagraphPropertiesAsian
boolean | ParaIsHangingPunctuation
| determines if hanging punctuation is allowed. More...
boolean | ParaIsCharacterDistance
| determines if a distance between Asian text, western text or complex text is set. More...
boolean | ParaIsForbiddenRules
| determines if the rules for forbidden characters at the start or end of text lines are considered. More...
Protected Attributes inherited from ParagraphPropertiesComplex
short | WritingMode
| contains the writing direction, as represented by the com::sun::star::text::WritingMode2 constants More...

## Detailed Description

This service specifies a text input field which is data-aware and thus can be bound to a database field, and additionally supports binding to arbitrary external values.

If an com::sun::star::form::binding::ValueBinding instance is set at the field, it will exchange it's text with the binding as string, thus only bindings supporting string exchange will be accepted in com::sun::star::form::binding::XValueBinding::setValueBinding().

See also
  com::sun::star::form::binding::XValueBinding::supportsType
  com::sun::star::awt::UnoControlEditModel::Text

## Exported Interfaces

service com::sun::star::form::binding::BindableDataAwareControlModel

specifies the interaction between an internal binding to a database column, and an external value binding.

service com::sun::star::form::component::DatabaseTextField

The documentation for this service was generated from the following file:

- com/sun/star/form/binding/BindableDatabaseTextField.idl